Commits

Xu Xiaodong committed d6fc4f3

add part*

  • Participants
  • Parent commits a5c935f

Comments (0)

Files changed (3)

+#!/bin/sh
+#
+# description:  删除 /dev/sdb 的所有分区
+# author:       Xu Xiaodong <xxdlhy@gmail.com>
+# modified:     2011 Aug 12
+#
+
+CMD=fdisk
+DEVICE=/dev/sdb
+
+sudo $CMD $DEVICE <<'EOF'
+d
+1
+w
+EOF
+
+if [ $? -eq 0 ]; then
+  echo
+  echo "已删除 /dev/sdb 的所有分区."
+fi
+
+sleep 5m
+
+# vim: ai:et:ts=2:sw=2:sts=2:tw=78:ft=sh
+#!/bin/sh
+#
+# description:  针对 8G 优盘进行自动分区
+# author:       Xu Xiaodong <xxdlhy@gmail.com>
+# modified:     2011 Aug 12
+#
+
+CMD=fdisk
+DEVICE=/dev/sdb
+
+sudo $CMD $DEVICE <<'EOF'
+n
+p
+1
+
+
+a
+1
+w
+EOF
+
+# vim: ai:et:ts=2:sw=2:sts=2:tw=78:ft=sh
 BASE=$HOME/ucloner
 PROG=$BASE/program
 SH=$HOME/resbox
-IMAGE=$BASE/ubox.squashfs
-#IMAGE=$BASE/2011-06-16.squashfs
+#IMAGE=$BASE/ubox.squashfs
+IMAGE=$BASE/2011-06-16.squashfs
 NAME=$(date +%Y-%m-%d)
 
 cd $PROG